Subject: bug#34788: Trouble starting GNOME -- fails to activate "org.freedesktop.PolicyKit1"

From: Jack Hill <[email-masked]>
Date: Fri, 8 Mar 2019 13:54:43 -0500 (EST)

Hi Guix,

Today I noticed that I'm having trouble starting a GNOME session. If I'm 
using GDM, GDM also fails to start. If slim, then slim starts, but bringing 
up the GNOME session fails.

In /var/log/gdm/greeter.log I see "(EE) xf86OpenConsole: Cannot open 
virtual console 7 (Permission denied)"

In /var/log/messages I see "gdm: gdm_session_set_environment_variable: 
assertion 'value != NULL' failed"

and "debus-daemon[598]: [system] Activated service 
'org.freedesktop.PloicyKit1' failed: Launch helper exited with unknown 
return code 1"

My first system generation where this is a problem is my first one to have 
linux-libre-5.0. I do not know how to narrow down where the problem was 
introduced further.

Best,
Jack